/*==================================
    Fonts
==================================*/

html, body {
    overflow-x: hidden;
}

.modal-open {
    padding-right: 0px !important;
}

body {
    line-height: 1.5;
    word-wrap: break-word;
    word-break: break-word;
    background-color: #122734 !important;
    color: #ffffff !important;
    font-family: "Montserrat", sans-serif !important;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
.has-x-large-font-size,
.custom-font {
    font-family: "Cinzel", serif !important;
    font-weight: 600;
    word-wrap: break-word;
    word-break: break-word;
}

h1.has-background, h2.has-background, h3.has-background, h4.has-background, h5.has-background, h6.has-background {
    padding: 0 !important;
}

.heading-divider::after {
    content: '';
    display: block;
    margin: 1rem;
    height: 50px;
    background-image: url(images/divider.png);
    background-repeat: no-repeat;
    background-position: center;
}

.custom-font {
    text-transform: none;
    font-weight: normal;
}

.page .bg-primary {
    background-color: #122734 !important;
}

.page-template-default .bg-secondary {
    background-color: #09131a !important;
}

.bg-dark {
    background-color: #10212d !important;
}

blockquote {
    border-left: 5px solid #ececec;
    padding: 15px 30px;
    font-style: italic;
}

blockquote p::before,
blockquote p::after {
    content: '"';
}

.btn,
.wp-block-button__link, 
.btn-link.btn-link-light a,
.btn.custom-font {
    font-family: "Cinzel", serif !important;
}

.btn,
.btn.custom-font {
    font-weight: 600 !important;
}

.btn.btn-link {
    text-transform: none !important;
    font-weight: 400 !important;
}

.btn.btn-link:focus {
    box-shadow: none;
}

.wp-block-file__button {
    background: #09131a !important;
}

/*==== End of Fonts ====*/


/*==================================
    Bootstrap colors override
==================================*/

/*Links*/

.page a,
.single a {
    color: #ffffff !important;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

a:hover,
a:focus,
a:active {
    text-decoration: none;
}

/*==== End of Bootstrap colors override ====*/

/*==================================
    Buttons
==================================*/

/* Default button styling */
.btn {
    /* Display and box model */
    display: inline-block;
    padding: 1rem 2rem;
    white-space: normal;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    /* Typography */
    font-size: 1rem;
    font-weight: 700;
    line-height: 1.5;
    text-align: center;
    /* Border and border radius */
    border-radius: 3rem !important;
    border: 1px solid transparent;
    text-transform: uppercase;
    /* Transitions */
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    cursor: pointer;
}

.btn:hover, .btn:focus {
    text-decoration: none;
}

.btn:focus, .btn.focus {
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(21, 21, 45, 0.25);
}

.btn.disabled, .btn:disabled {
    opacity: 0.65;
    cursor: default;
}

.btn:not(:disabled):not(.disabled):active, .btn:not(:disabled):not(.disabled).active {
    background-image: none;
}

a.btn.disabled,
fieldset:disabled a.btn {
    pointer-events: none;
}

a:not([href]):not([tabindex]),
a:not([href]):not([tabindex]):focus,
a:not([href]):not([tabindex]):hover {
    color: #ffffff;
}

a:not([href]):not([tabindex]):hover {
    cursor: pointer;
}

/* Primary button */

.btn-primary {
    color: #fff;
    background-color: #09131a;
    border-color: #09131a;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active {
    color: #fff;
    background-color: #010101;
    border-color: #010101;
}

.btn-primary:focus, .btn-primary.focus {
    box-shadow: 0 0 0 0.2rem rgba(21, 21, 45, 0.5);
}

.btn-primary:active, .btn-primary:not(:disabled):not(.disabled):active {
    box-shadow: 0 0 0 0.2rem rgba(21, 21, 45, 0.5);
}

.btn-primary:not(:disabled):not(.disabled):active:focus, .btn-primary:not(:disabled):not(.disabled).active:focus,
.show > .btn-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(21, 21, 45, 0.5);
}

.btn-primary.disabled, 
.btn-primary:disabled {
    background-color: #6d7488;
    border-color: #6d7488;
}

/* Secondary button */
.btn-secondary {
    padding: 0.7rem 1.3rem !important;
    background-color: var(--secondary) !important;
    border-color: var(--secondary) !important;
    color: var(--white) !important;
}

.btn-secondary:focus, .btn-secondary.focus {
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.btn-secondary:not(:disabled):not(.disabled):active:focus, .btn-secondary:not(:disabled):not(.disabled).active:focus,
.show > .btn-secondary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

/* Outline primary button */

.btn-outline-primary:focus, .btn-outline-primary.focus {
    box-shadow: 0 0 0 0.2rem rgba(21, 21, 45, 0.5);
}

.btn-outline-primary:not(:disabled):not(.disabled):active:focus, .btn-outline-primary:not(:disabled):not(.disabled).active:focus,
.show > .btn-outline-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(21, 21, 45, 0.5);
}

/* Outline secondary button */

.btn-outline-secondary:focus, .btn-outline-secondary.focus {
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.btn-outline-secondary:not(:disabled):not(.disabled):active:focus, .btn-outline-secondary:not(:disabled):not(.disabled).active:focus,
.show > .btn-outline-secondary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5);
}

/* Light button */

.btn-light.disabled, 
.btn-light:disabled {
    opacity: 1;
    cursor: default;
    background-color: #f8f9fa !important;
    border-color: #f8f9fa !important;
    color: #acacac;
}

/* Outline light button */

.btn-outline-light:focus, .btn-outline-light.focus {
    box-shadow: 0 0 0 0.2rem rgba(255, 255, 255, 0.5);
}

.page-item:first-child .page-link {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.page-item:last-child .page-link {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}


/*==== End of Buttons ====*/


/* Default form control */

.form-control {
    display: block;
    width: 100%;
    font-size: 1rem;
    line-height: 1.5;
    background-clip: padding-box;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.form-control:focus {
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

select.form-control:not([size]):not([multiple]) {
    height: 54px;
}

.alert {
    border-radius: 0;
}

/*==== End of Forms ====*/


/*==================================
    Resets and default
==================================*/

@media (min-width: 1600px) {

    .container {
        max-width: 1540px;
    }

}

.wp-block-cover.zoomeffect {
    overflow: hidden !important;
}

.cover-overlay-wrapper .wp-block-cover__inner-container {
    position: absolute !important;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    box-shadow: 0 0 100px 100px #10212d inset;
}

@media (prefers-reduced-motion: no-preference) {

    .zoomeffect img {
        animation: zoomIn 8000ms ease-in-out 0s 1 normal forwards;
    }

}

@keyframes zoomIn {
    0% {
        transform: scale(1, 1);
    }
    100% {
        transform: scale(1.1, 1.1);
    }
}

img {
    max-width: 100%;
    height: auto;
}

iframe {
    max-width: 100%;
    border: 0;
}

table {
    word-wrap: normal;
    word-break: normal;
}

.overlay {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

.overlay-primary {
    background: rgba(0, 0, 0, 0.3);
}

.overlay-secondary {
    background: rgba(0, 0, 0, 0.95);
}

.text-shadow {
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
}

.overflow-hidden {
    overflow: hidden;
}

/*==== End of Resets and default ====*/


/*==================================
    Theme override
==================================*/

#main .post, #main .page {
    border: none !important;
    margin-bottom: 0 !important;
    padding: 0 !important;
}

.site-content {
    margin-bottom: 0;
}

.cover-overlay {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    box-shadow: 0 0 100px 100px #10212d inset;
}

.cover-overlay.mobile {
    box-shadow: 0 0 50px 50px #10212d inset;
}

.wp-block-button__link {
    padding: 1rem 2rem !important;
    font-size: 1rem !important;
}

.btn-link.btn-link-light a {
    border: 1px solid #ffffff;
    border-radius: 2rem;
    padding: 1rem 2rem;
    margin-top: 1.5rem;
    display: inline-block;
    font-size: 1rem !important;
}

.btn-link.btn-link-light a:hover,
.btn-link.btn-link-light a:focus,
.btn-link.btn-link-light a:active {
    background: var(--light);
    color: var(--dark) !important;
    text-decoration: none !important;
}

.brand-logo {
    max-height: 80px;
}

header.page-header.page-header-sitebrand-topbar {
    position: absolute;
    z-index: 2;
    width: 100%;
}

header nav.navbar.navbar-expand-lg.navbar-light.bg-light {
    background-color: transparent !important;
    justify-content: flex-end;
}

header .navbar-light .navbar-nav .nav-link,
header .navbar-light .navbar-nav .active>.nav-link, 
header .navbar-light .navbar-nav .nav-link.active, 
header .navbar-light .navbar-nav .nav-link.show, 
header .navbar-light .navbar-nav .show>.nav-link {
    color: #ffffff;
}

.navbar-light .navbar-toggler {
    background: rgba(255, 255, 255, 0.7) !important;
}

.wp-block-columns.nogap,
:where(.wp-block-columns.nogap.is-layout-flex) {
    gap: 0 !important;
    margin-bottom: 0;
}

.site-footer {
    background-color: #10212d !important;
    border-top: none !important;
    font-size: 1rem !important;
    padding: 3rem 0 1.5rem 0 !important;
}

.wp-block-button__link:hover,
.wp-block-button__link:focus,
.wp-block-button__link:active {
    background-color: #010101!important;
    text-decoration: none;
}

.single-post .site-content {
    padding-top: 150px;
    min-height: 72vh;
}

.single-post .byline {
    display: none;
}

.single-post .entry-meta {
    padding: 1.5rem 0;
}

.single-post footer.entry-meta,
.single-post .comments-area {
    display: none;
} 

.wp-block-latest-posts.is-grid img {
    margin-bottom: 1.5rem;
}

.main-hero {
    padding-top: 100px;
}

.navbar-nav li.menu-item.store a {
    border-radius: 2rem;
    padding: 0.5rem 1rem !important;
    margin-left: 0.5rem;
    align-items: center;
    border: 1px solid #ffffff;
}

/*.navbar-nav li.menu-item.store a::before {
    content: "\f07a";
    font-family: FontAwesome;
    padding-right: 5px;
    font-size: 1.1rem;
}*/

.navbar-nav li.menu-item.store a::before {
    content: var(--fa);
    --fa: "\f291";
    --fa--fa: "\f291\f291";
    font-family: FontAwesome;
    padding-right: 5px;
    font-size: 1.1rem;
}

.wp-block-navigation .wp-block-navigation-item::before {
    content: '';
    background-image: url(images/logo.png);
    background-repeat: no-repeat;
    background-position: center left;
    width: 35px;
    height: 25px;
    background-size: 30px;
}

.wp-block-navigation .wp-block-navigation-item:first-child::before {
    content: none;
}

.wp-block-latest-posts__post-author, 
.wp-block-latest-posts__post-date {
    color: var(--light) !important;
    margin-top: 1rem;
}

:where(.wp-block-social-links:not(.is-style-logos-only)) .wp-social-link-instagram,
:where(.wp-block-social-links:not(.is-style-logos-only)) .wp-social-link-facebook,
:where(.wp-block-social-links:not(.is-style-logos-only)) .wp-social-link-spotify,
:where(.wp-block-social-links:not(.is-style-logos-only)) .wp-social-link-youtube,
:where(.wp-block-social-links:not(.is-style-logos-only)) .wp-social-link-pinterest,
:where(.wp-block-social-links:not(.is-style-logos-only)) .wp-social-link-bandcamp {
    background-color: #09131a !important;
}

.page-header-top-right {
    margin-top: 5px;
}

.page-header-top-right ul.wp-block-social-links.is-layout-flex.wp-block-social-links-is-layout-flex {
    margin-bottom: 0;
}

.wp-block-latest-posts li {
    position: relative;
}

.hide-link-icon.wp-block-social-link svg {
    display: none;
}

.hide-link-icon.wp-block-social-link a {
    width: 36px;
    height: 36px;
}

.icon-apple.wp-block-social-link {
    background-image: url(images/apple-brands.svg);
    background-size: 16px;
    background-repeat: no-repeat;
    background-position: center;
    width: 36px;
    height: 36px;
    content: '';
}

.icon-deezer.wp-block-social-link {
    background-image: url(images/deezer-brands.svg);
    background-size: 16px;
    background-repeat: no-repeat;
    background-position: center;
    width: 36px;
    height: 36px;
    content: '';
}

.icon-tidal.wp-block-social-link {
    background-image: url(images/icon-white-rgb.png);
    background-size: 16px;
    background-repeat: no-repeat;
    background-position: center;
    width: 36px;
    height: 36px;
    content: '';
}

.wp-lightbox-overlay .scrim {
    /*background-color: #122734 !important;*/
    background-color: #09131a !important;
}

.wp-lightbox-overlay .close-button svg {
    fill: #ffffff;
}

.wp-block-button__link.has-small-font-size {
    font-size: 1.1rem !important;
}

@media (min-width: 768px) {
    .site-footer .col-md-6 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
}

/*==== End of Theme override ====*/

/*==================================
    Responsive
==================================*/
@media (min-width: 992px) {
    
    .navbar-expand-lg .navbar-nav .nav-link {
        padding-right: 1rem !important;
        padding-left: 1rem !important;
    }
    
}

@media (min-width: 1680px) {

    body,
    p {
        font-size: 1.3rem !important;
    }
    
    .sitefooter p {
        font-size: 1rem !important;
    }

    .h1, 
    h1,
    .page .has-x-large-font-size {
        font-size: 3.5rem !important;
    }

    .h2, 
    h2,
    .page .has-large-font-size {
        font-size: 2.75rem !important;
    }
    
    .site-footer .h2, 
    .site-footer h2,
    .site-footer .has-large-font-size {
        font-size: 2rem !important;
    }

    .h3, 
    h3 {
        font-size: 2.5rem !important;
    }
    
    .wp-block-button__link,
    .btn-link.btn-link-light a    {
        font-size: 1.1rem !important;
    }

}

@media screen and (max-width:1024px) {

    h1,
    .h1,
    .page .has-x-large-font-size {
        font-size: 2.5rem !important;
    }

    h2,
    .h2,
    .page .has-large-font-size {
        font-size: 2rem !important;
    }

    h3,
    .h3 {
        font-size: 1.5rem !important;
    }

    h4,
    .h4 {
        font-size: 1.4rem;
    }

    h5,
    .h5 {
        font-size: 1.3rem;
    }

    h6,
    .h6,
    blockquote {
        font-size: 1.2rem;
    }

}

@media screen and (max-width:991px) {
    
    header.page-header.page-header-sitebrand-topbar {
        position: relative;
    }
    
    .brand-logo-wrapper {
        position: absolute;
    }

    .brand-logo {
        max-height: 50px;
    }
    
    .single-post .site-content {
        padding-top: 0;
    }
    
    .navbar-nav li.menu-item.store a {
        display: inline-block;
        margin-left: 0;
    }

}

@media screen and (max-width:768px) {

    .mc-banner {
        top: 100% !important;
    }

}

@media screen and (max-width:767px) {

    h1,
    .h1,
    .page .has-x-large-font-size {
        font-size: 2.25rem !important;
    }

    h2,
    .h2,
    .page .has-large-font-size {
        font-size: 1.5rem !important;
    }
    
    :root {
        --wp--preset--font-size--large: 1.5rem !important;
        --wp--preset--font-size--x-large: 1.75rem !important;
    }

    h3,
    .h3 {
        font-size: 1.3rem !important;
    }

    h4,
    .h4 {
        font-size: 1.2rem;
    }

    h5,
    .h5 {
        font-size: 1.1rem;
    }

    h6,
    .h6,
    blockquote {
        font-size: 1rem;
    }

}

@media (max-width: 600px) {
    
    .wp-block-media-text.is-stacked-on-mobile img {
        margin-bottom: 1rem;
    }
    
    .heading-divider::after {
        height: 30px;
        background-size: contain;
    }
    
}

@media (max-width: 575px) {

    .brand-logo-wrapper {
        margin-left: 15px;
    }
    
}